Subject: Re: xfrm, ip tunnel: non released device reference upon device unregistration

From: Florian Westphal <[email-masked]>
Date: Tue, 6 Feb 2018 14:15:09 +0100

Steffen Klassert <[email-masked]> wrote:
> I gave the patch a quick try, but still I get this:
> 
> unregister_netdevice: waiting for dummy1 to become free. Usage count = 2

Was that with Eyals setup or the bridge one I posted?

If it was Eyals setup, its possible the patch missed hookup
to whatever tunnel infra is used (the setup I used has ipip tunnel,
everything is ipv4).

Also, perhaps it would be best to not bother with checking the
device in question at all and unconditionally put device reference
of all the dst_caches.  With setups that have e.g. 1k devices going down
per second (ppp dialin and the like) doing the full search for every
notify event would be rather expensive.